# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: model.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x0bmodel.proto\"\x07\n\x05\x45mpty\"\x1e\n\x0cPromptConfig\x12\x0e\n\x06prompt\x18\x01 \x01(\t\"\x1d\n\tModelResp\x12\x10\n\x08response\x18\x01 \x01(\t23\n\x07QLModel\x12(\n\x0brun_request\x12\r.PromptConfig\x1a\n.ModelRespb\x06proto3')



_EMPTY = DESCRIPTOR.message_types_by_name['Empty']
_PROMPTCONFIG = DESCRIPTOR.message_types_by_name['PromptConfig']
_MODELRESP = DESCRIPTOR.message_types_by_name['ModelResp']
Empty = _reflection.GeneratedProtocolMessageType('Empty', (_message.Message,), {
  'DESCRIPTOR' : _EMPTY,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:Empty)
  })
_sym_db.RegisterMessage(Empty)

PromptConfig = _reflection.GeneratedProtocolMessageType('PromptConfig', (_message.Message,), {
  'DESCRIPTOR' : _PROMPTCONFIG,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:PromptConfig)
  })
_sym_db.RegisterMessage(PromptConfig)

ModelResp = _reflection.GeneratedProtocolMessageType('ModelResp', (_message.Message,), {
  'DESCRIPTOR' : _MODELRESP,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:ModelResp)
  })
_sym_db.RegisterMessage(ModelResp)

_QLMODEL = DESCRIPTOR.services_by_name['QLModel']
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  _EMPTY._serialized_start=15
  _EMPTY._serialized_end=22
  _PROMPTCONFIG._serialized_start=24
  _PROMPTCONFIG._serialized_end=54
  _MODELRESP._serialized_start=56
  _MODELRESP._serialized_end=85
  _QLMODEL._serialized_start=87
  _QLMODEL._serialized_end=138
# @@protoc_insertion_point(module_scope)
